{
  "id": "00000000-0000-0000-0000-000000000000",
  "prevId": "",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.comment": {
      "name": "comment",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true
        },
        "content": {
          "name": "content",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "created_at": {
          "name": "created_at",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "is_deleted": {
          "name": "is_deleted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "writer_id": {
          "name": "writer_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false
        },
        "parent_id": {
          "name": "parent_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {
        "writer_id": {
          "name": "writer_id",
          "tableFrom": "comment",
          "tableTo": "account",
          "schemaTo": "public",
          "columnsFrom": [
            "writer_id"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "parent_id": {
          "name": "parent_id",
          "tableFrom": "comment",
          "tableTo": "comment",
          "schemaTo": "public",
          "columnsFrom": [
            "parent_id"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.schedule": {
      "name": "schedule",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true
        },
        "name": {
          "name": "name",
          "type": "varchar",
          "primaryKey": false,
          "notNull": false
        },
        "start_at": {
          "name": "start_at",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "end_at": {
          "name": "end_at",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "status": {
          "name": "status",
          "type": "varchar",
          "primaryKey": false,
          "notNull": false
        },
        "content": {
          "name": "content",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "is_deleted": {
          "name": "is_deleted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "type": {
          "name": "type",
          "type": "varchar",
          "primaryKey": false,
          "notNull": false
        },
        "created_at": {
          "name": "created_at",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "owner": {
          "name": "owner",
          "type": "uuid",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {
        "schedule_enddatetime_idx": {
          "name": "schedule_enddatetime_idx",
          "columns": [
            {
              "expression": "end_at",
              "asc": true,
              "nulls": "last",
              "opclass": "date_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        },
        "schedule_name_idx": {
          "name": "schedule_name_idx",
          "columns": [
            {
              "expression": "name",
              "asc": true,
              "nulls": "last",
              "opclass": "text_ops",
              "isExpression": false
            },
            {
              "expression": "content",
              "asc": true,
              "nulls": "last",
              "opclass": "text_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        },
        "schedule_startdatetime_idx": {
          "name": "schedule_startdatetime_idx",
          "columns": [
            {
              "expression": "start_at",
              "asc": true,
              "nulls": "last",
              "opclass": "date_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        },
        "schedule_status_idx": {
          "name": "schedule_status_idx",
          "columns": [
            {
              "expression": "status",
              "asc": true,
              "nulls": "last",
              "opclass": "text_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        },
        "schedule_type_idx": {
          "name": "schedule_type_idx",
          "columns": [
            {
              "expression": "type",
              "asc": true,
              "nulls": "last",
              "opclass": "text_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {
        "schedule_user_fk": {
          "name": "schedule_user_fk",
          "tableFrom": "schedule",
          "tableTo": "account",
          "schemaTo": "public",
          "columnsFrom": [
            "owner"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.account": {
      "name": "account",
      "schema": "",
      "columns": {
        "name": {
          "name": "name",
          "type": "varchar",
          "primaryKey": false,
          "notNull": true
        },
        "email": {
          "name": "email",
          "type": "varchar",
          "primaryKey": false,
          "notNull": true
        },
        "password": {
          "name": "password",
          "type": "varchar",
          "primaryKey": false,
          "notNull": true
        },
        "birthday": {
          "name": "birthday",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "account_id": {
          "name": "account_id",
          "type": "varchar",
          "primaryKey": false,
          "notNull": true
        },
        "nickname": {
          "name": "nickname",
          "type": "varchar",
          "primaryKey": false,
          "notNull": true
        },
        "status": {
          "name": "status",
          "type": "varchar",
          "primaryKey": false,
          "notNull": true,
          "default": "'wait'"
        },
        "is_deleted": {
          "name": "is_deleted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": true,
          "default": false
        },
        "created_at": {
          "name": "created_at",
          "type": "date",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "uuid_generate_v4()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.participant": {
      "name": "participant",
      "schema": "",
      "columns": {
        "participant_id": {
          "name": "participant_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "schedule_id": {
          "name": "schedule_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "is_deleted": {
          "name": "is_deleted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        }
      },
      "indexes": {
        "participant_participant_id_idx": {
          "name": "participant_participant_id_idx",
          "columns": [
            {
              "expression": "participant_id",
              "asc": true,
              "nulls": "last",
              "opclass": "uuid_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        },
        "participant_schedule_id_idx": {
          "name": "participant_schedule_id_idx",
          "columns": [
            {
              "expression": "schedule_id",
              "asc": true,
              "nulls": "last",
              "opclass": "uuid_ops",
              "isExpression": false
            }
          ],
          "isUnique": false,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {
        "schedule_id": {
          "name": "schedule_id",
          "tableFrom": "participant",
          "tableTo": "schedule",
          "schemaTo": "public",
          "columnsFrom": [
            "schedule_id"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "participant_id": {
          "name": "participant_id",
          "tableFrom": "participant",
          "tableTo": "account",
          "schemaTo": "public",
          "columnsFrom": [
            "participant_id"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.favorite": {
      "name": "favorite",
      "schema": "",
      "columns": {
        "is_deleted": {
          "name": "is_deleted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "created_at": {
          "name": "created_at",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "user_id": {
          "name": "user_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "schedule_id": {
          "name": "schedule_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        }
      },
      "indexes": {},
      "foreignKeys": {
        "schedule_id": {
          "name": "schedule_id",
          "tableFrom": "favorite",
          "tableTo": "schedule",
          "schemaTo": "public",
          "columnsFrom": [
            "schedule_id"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "user_id": {
          "name": "user_id",
          "tableFrom": "favorite",
          "tableTo": "account",
          "schemaTo": "public",
          "columnsFrom": [
            "user_id"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {
        "favorite_pk": {
          "name": "favorite_pk",
          "columns": [
            "user_id",
            "schedule_id"
          ]
        }
      },
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    },
    "public.follow": {
      "name": "follow",
      "schema": "",
      "columns": {
        "is_deleted": {
          "name": "is_deleted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "is_accepted": {
          "name": "is_accepted",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "is_linked": {
          "name": "is_linked",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "created_at": {
          "name": "created_at",
          "type": "date",
          "primaryKey": false,
          "notNull": false
        },
        "following": {
          "name": "following",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "follower": {
          "name": "follower",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        }
      },
      "indexes": {},
      "foreignKeys": {
        "follower_id": {
          "name": "follower_id",
          "tableFrom": "follow",
          "tableTo": "account",
          "schemaTo": "public",
          "columnsFrom": [
            "follower"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "following_id": {
          "name": "following_id",
          "tableFrom": "follow",
          "tableTo": "account",
          "schemaTo": "public",
          "columnsFrom": [
            "following"
          ],
          "columnsTo": [
            "id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {
        "follow_pk": {
          "name": "follow_pk",
          "columns": [
            "following",
            "follower"
          ]
        }
      },
      "uniqueConstraints": {},
      "checkConstraints": {},
      "policies": {},
      "isRLSEnabled": false
    }
  },
  "enums": {},
  "schemas": {},
  "sequences": {},
  "roles": {},
  "policies": {},
  "views": {},
  "_meta": {
    "schemas": {},
    "tables": {},
    "columns": {}
  },
  "internal": {
    "tables": {}
  }
}